Bug 1500482 - content view filter repository selection table doesn't reflect correct selected count
Summary: content view filter repository selection table doesn't reflect correct select...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Container Management - Content
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Walden Raines
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-10 17:32 UTC by Tom McKay
Modified: 2019-11-05 23:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:35:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (47.91 KB, image/png)
2018-08-14 12:33 UTC, Jameer Pathan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21284 0 None None None 2017-10-10 17:32:16 UTC

Description Tom McKay 2017-10-10 17:32:12 UTC
To reproduce: Add a docker repo to a content view. Go to docker filters page, create a filter, add a rule. Go to affected repositories page and select/unselect the docker repo, noting that the selected count is incorrect. For me it says "1 of Selected" (missing total) only when the title row checkbox is selected.

Comment 1 Tom McKay 2017-10-10 17:32:19 UTC
Created from redmine issue http://projects.theforeman.org/issues/21284

Comment 2 Tom McKay 2017-10-10 17:32:24 UTC
Upstream bug assigned to None

Comment 4 Marek Hulan 2017-10-11 10:21:22 UTC
Tom, please don't abuse WebUI component for bugs in specific areas. This seems to be very specific.

Comment 5 Satellite Program 2017-10-12 16:24:37 UTC
Upstream bug assigned to walden@redhat.com

Comment 6 Walden Raines 2017-10-16 15:06:49 UTC
PR: https://github.com/Katello/katello/pull/7006

Comment 7 Satellite Program 2017-10-20 14:24:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21284 has been resolved.

Comment 9 Jameer Pathan 2018-08-14 12:29:45 UTC
Verified

@satellite 6.4.0 snap 17

steps:

1)Add a docker repo to a content view
2)Go to docker filters page of that content view.
3)create a filter, add a rule.
4)Go to affected repositories page and select/unselect the docker repo.

Observation:

selected count is correct.

Comment 10 Jameer Pathan 2018-08-14 12:33:06 UTC
Created attachment 1475833 [details]
verification screenshot

Comment 11 Bryan Kearney 2018-10-16 19:35:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.